- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- AUTHOR
- LICENSE

# NAME

B::Debug - Walk Perl syntax tree, printing debug info about ops

# SYNOPSIS

            perl -MO=Debug foo.pl
            perl -MO=Debug,-exec foo.pl

# DESCRIPTION

See ext/B/README and the newer B::Concise, B::Terse.

# OPTIONS

With option -exec, walks tree in execute order, otherwise in basic order.

# AUTHOR

Malcolm Beattie, `mbeattie@sable.ox.ac.uk` Reini Urban `rurban@cpan.org`

# LICENSE

Copyright (c) 1996, 1997 Malcolm Beattie Copyright (c) 2008, 2010, 2013, 2014 Reini Urban

            This program is free software; you can redistribute it and/or modify
            it under the terms of either:

            a) the GNU General Public License as published by the Free
            Software Foundation; either version 1, or (at your option) any
            later version, or

            b) the "Artistic License" which comes with this kit.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See either
        the GNU General Public License or the Artistic License for more details.

        You should have received a copy of the Artistic License with this kit,
        in the file named "Artistic".  If not, you can get one from the Perl
        distribution. You should also have received a copy of the GNU General
        Public License, in the file named "Copying". If not, you can get one
        from the Perl distribution or else write to the Free Software Foundation,
        Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.